# Microsoft Malware Prediction
![Malware](https://cdn.pixabay.com/photo/2016/11/19/22/52/coding-1841550_1280.jpg)
The malware industry continues to be a well-organized, well-funded market dedicated to evading traditional security measures. Once a computer is infected by malware, criminals can hurt consumers and enterprises in many ways.

With more than one billion enterprise and consumer customers, Microsoft takes this problem very seriously and is deeply invested in improving security.

The goal of this project is to predict a Windows machine’s probability of getting infected by various families of malware, based on different properties of that machine. The telemetry data containing these properties and the machine infections was generated by combining heartbeat and threat reports collected by Microsoft's endpoint protection solution, Windows Defender.

The sampling methodology used to create this dataset was designed to meet certain business constraints, both in regards to user privacy as well as the time period during which the machine was running. Malware detection is inherently a time-series problem, but it is made complicated by the introduction of new machines, machines that come online and offline, machines that receive patches, machines that receive new operating systems, etc. While the dataset provided here has been roughly split by time, the complications and sampling requirements mentioned above may mean you may see imperfect agreement between your cross validation, public, and private scores! Additionally, this dataset is not representative of Microsoft customers’ machines in the wild; it has been sampled to include a much larger proportion of malware machines.

In this Project I have done Exploratory Data Analysis and Classification of the Malwares and Prediction of Malware in the system.

Kaggle Competition: [Microsft Malware Prediction](https://www.kaggle.com/c/microsoft-malware-prediction)

You can download the dataset here: [Microsoft Malware Prediction Dataset](https://www.kaggle.com/c/microsoft-malware-prediction/data)

Refrences
- [Detecting Malwares with LGBM](https://www.kaggle.com/fabiendaniel/detecting-malwares-with-lgbm)
- [High Scoring LGBM - Malware - [0.702] - [0.775]](https://www.kaggle.com/cdeotte/high-scoring-lgbm-malware-0-702-0-775)
- [Is this Malware? [EDA, FE and lgb][updated]](https://www.kaggle.com/artgor/is-this-malware-eda-fe-and-lgb-updated)
- [LightGBM. Baseline Model Using Sparse Matrix](https://www.kaggle.com/bogorodvo/lightgbm-baseline-model-using-sparse-matrix)
- [Malware Detection - EDA and LGBM](https://www.kaggle.com/dimitreoliveira/malware-detection-eda-and-lgbm)
- [Microsoft Malware Detection EDA + XGBoost](https://www.kaggle.com/praxitelisk/microsoft-malware-detection-eda-xgboost)
- [Microsoft malware prediction](https://www.kaggle.com/ajithvallabai/microsoft-malware-prediction)
- [Microsoft Malware Prediction — A Brief Overview](https://medium.com/datadriveninvestor/what-ive-learned-microsoft-malware-prediction-competition-on-kaggle-3c8189dcc850)
